# Source for file Schema.php

Documentation is available at Schema.php

1. <?php
2. /*
3. * $Id: Schema.php 1080 2007-02-10 18:17:08Z romanb $
4. *
5. * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
6. * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
7. * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
8. * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
9. * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
10. * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
11. * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
12. * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
13. * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
14. * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
15. * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
16. *
17. * This software consists of voluntary contributions made by many individuals
18. * and is licensed under the LGPL. For more information, see
19. * <http://www.phpdoctrine.com>.
20. */
22. /**
23. * @package Doctrine
24. * @url http://www.phpdoctrine.com
25. * @license http://www.opensource.org/licenses/lgpl-license.php LGPL
26. * @author Jukka Hassinen <Jukka.Hassinen@BrainAlliance.com>
27. * @version $Id: Schema.php 1080 2007-02-10 18:17:08Z romanb $
28. /**
29. * class Doctrine_Schema
30. * Holds information on one to many databases
31. * @package Doctrine
32. * @category Object Relational Mapping
33. * @link www.phpdoctrine.com
34. * @license http://www.opensource.org/licenses/lgpl-license.php LGPL
35. * @since 1.0
36. * @version $Revision: 1080 $
37. * @author Konsta Vesterinen <kvesteri@cc.hut.fi>
38. */
39. class Doctrine_Schema extends Doctrine_Schema_Object implements Countable, IteratorAggregate
40. {
41. /**
42. * Holds any number of databases contained in the schema
43. * @access private
44. */
45. private $childs;
47. /**
48. *
49. * @param Doctrine_Schema_Database database * @return
50. * @access public
51. */
52. public function addDatabase( Doctrine_Schema_Database $database )
53. {
54. $this->childs[] = $database;
55. }
57. /**
58. * Return the childs for this schema
59. *
60. * @return array of Doctrine_Schema_Database
61. *
62. */
63. public function getDatabases(){
64. return $this->childs;
65. }
66. /**
67. *
68. * @return
69. * @access public
70. */
71. public function __toString( )
72. {
74. }
75. /**
76. *
77. * @return bool
78. * @access public
79. */
80. public function isValid( )
81. {
83. }
84. }